## dvbsrc dvbsrc — Digital Video Broadcast Source |

## Synopsis

                        GstDvbSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstPushSrc
                               +----GstDvbSrc

## Properties

      "bandwidth"                GstDvbSrcBandwidth    : Read / Write
      "code-rate-hp"             GstDvbSrcCode_Rate    : Read / Write
      "code-rate-lp"             GstDvbSrcCode_Rate    : Read / Write
      "device"                   gchararray            : Read / Write
      "diseqc-src"               gint                  : Read / Write
      "freq"                     gint                  : Read / Write
      "guard"                    GstDvbSrcGuard        : Read / Write
      "hierarchy"                GstDvbSrcHierarchy    : Read / Write
      "inversion"                GstDvbSrcInversion    : Read / Write
      "modulation"               GstDvbSrcModulation   : Read / Write
      "pids"                     gchar*                : Write
      "pol"                      gchararray            : Read / Write
      "srate"                    gint                  : Read / Write
      "trans-mode"               GstDvbSrcTransmission_Mode  : Read / Write
      "tune"                     gpointer              : Write
      "adapter"                  gint                  : Read / Write
      "diseqc-source"            gint                  : Read / Write
      "frequency"                guint                 : Read / Write
      "frontend"                 gint                  : Read / Write
      "polarity"                 gchar*                : Read / Write / Construct
      "symbol-rate"              guint                 : Read / Write
      "stats-reporting-interval" guint                 : Read / Write

## Description

dvbsrc can be used to capture video from DVB cards, DVB-T, DVB-S or DVB-T.

### Example launch line

    1
    gst-launch dvbsrc modulation="QAM 64" trans-mode=8k bandwidth=8MHz frequency=514000000 code-rate-lp=AUTO code-rate-hp=2/3 guard=4  hierarchy=0 ! mpegtsdemux name=demux ! queue max-size-buffers=0 max-size-time=0 ! mpeg2dec ! xvimagesink demux. ! queue max-size-buffers=0 max-size-time=0 ! mad ! alsasink

Captures a full transport stream from dvb card 0 that is a DVB-T card at tuned frequency 514000000 with other parameters as seen in the pipeline and renders the first tv program on the transport stream.

    1
    gst-launch dvbsrc modulation="QAM 64" trans-mode=8k bandwidth=8 frequency=514000000 code-rate-lp=AUTO code-rate-hp=2/3 guard=4  hierarchy=0 pids=100:256:257 ! mpegtsdemux name=demux ! queue max-size-buffers=0 max-size-time=0 ! mpeg2dec ! xvimagesink demux. ! queue max-size-buffers=0 max-size-time=0 ! mad ! alsasink

Captures and renders a transport stream from dvb card 0 that is a DVB-T card for a program at tuned frequency 514000000 with PMT pid 100 and elementary stream pids of 256, 257 with other parameters as seen in the pipeline.

    1
    gst-launch dvbsrc polarity="h" frequency=11302000 symbol-rate=27500 diseqc-src=0 pids=50:102:103 ! mpegtsdemux name=demux ! queue max-size-buffers=0 max-size-time=0 ! mpeg2dec ! xvimagesink demux. ! queue max-size-buffers=0 max-size-time=0 ! mad ! alsasink

Captures and renders a transport stream from dvb card 0 that is a DVB-S card for a program at tuned frequency 11302000 Hz, symbol rate of 27500 kHz with PMT pid of 50 and elementary stream pids of 102 and 103.

## Details

### GstDvbSrc

    typedef struct _GstDvbSrc GstDvbSrc;

## Property Details

### The `"bandwidth"` property

      "bandwidth"                GstDvbSrcBandwidth    : Read / Write

Bandwidth (DVB-T).

Default value: 7

### The `"code-rate-hp"` property

      "code-rate-hp"             GstDvbSrcCode_Rate    : Read / Write

High Priority Code Rate (DVB-T, DVB-S and DVB-C).

Default value: AUTO

### The `"code-rate-lp"` property

      "code-rate-lp"             GstDvbSrcCode_Rate    : Read / Write

Low Priority Code Rate (DVB-T).

Default value: 1/2

### The `"device"` property

      "device"                   gchararray            : Read / Write

The device directory.

Default value: "/dev/dvb/adapter0"

### The `"diseqc-src"` property

      "diseqc-src"               gint                  : Read / Write

DISEqC selected source (-1 disabled) (DVB-S).

Allowed values: [-1,7]

Default value: -1

### The `"freq"` property

      "freq"                     gint                  : Read / Write

Frequency.

Allowed values: >= 0

Default value: 0

### The `"guard"` property

      "guard"                    GstDvbSrcGuard        : Read / Write

Guard Interval (DVB-T).

Default value: 16

### The `"hierarchy"` property

      "hierarchy"                GstDvbSrcHierarchy    : Read / Write

Hierarchy Information (DVB-T).

Default value: 1

### The `"inversion"` property

      "inversion"                GstDvbSrcInversion    : Read / Write

Inversion Information (DVB-T and DVB-C).

Default value: ON

### The `"modulation"` property

      "modulation"               GstDvbSrcModulation   : Read / Write

Modulation (DVB-T and DVB-C).

Default value: QAM 16

### The `"pids"` property

      "pids"                     gchar*                : Write

Colon seperated list of pids (eg. 110:120).

Default value: "8192"

### The `"pol"` property

      "pol"                      gchararray            : Read / Write

Polarity [vhHV] (DVB-S).

Default value: "h"

### The `"srate"` property

      "srate"                    gint                  : Read / Write

Symbol Rate (DVB-S, DVB-C).

Allowed values: >= 0

Default value: 0

### The `"trans-mode"` property

      "trans-mode"               GstDvbSrcTransmission_Mode  : Read / Write

Transmission Mode (DVB-T).

Default value: 8k

### The `"tune"` property

      "tune"                     gpointer              : Write

Atomically tune to channel. (For Apps).

### The `"adapter"` property

      "adapter"                  gint                  : Read / Write

The adapter device number (eg. 0 for adapter0).

Allowed values: [0,16]

Default value: 0

### The `"diseqc-source"` property

      "diseqc-source"            gint                  : Read / Write

DISEqC selected source (-1 disabled) (DVB-S).

Allowed values: [G_MAXULONG,7]

Default value: -1

### The `"frequency"` property

      "frequency"                guint                 : Read / Write

Frequency.

Default value: 0

### The `"frontend"` property

      "frontend"                 gint                  : Read / Write

The frontend device number (eg. 0 for frontend0).

Allowed values: [0,16]

Default value: 0

### The `"polarity"` property

      "polarity"                 gchar*                : Read / Write / Construct

Polarity [vhHV] (DVB-S).

Default value: "H"

### The `"symbol-rate"` property

      "symbol-rate"              guint                 : Read / Write

Symbol Rate (DVB-S, DVB-C).

Default value: 0

### The `"stats-reporting-interval"` property

      "stats-reporting-interval" guint                 : Read / Write

The number of reads before reporting frontend stats.

Default value: 100